Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.afp
Class AFPImageHandlerRawStream

    java.lang.Object
      org.apache.fop.render.afp.AFPImageHandler
          org.apache.fop.render.afp.AbstractAFPImageHandlerRawStream
              org.apache.fop.render.afp.AFPImageHandlerRawStream

All Implemented Interfaces:
  ImageHandler, ImageHandlerBase

public class AFPImageHandlerRawStream
extends AbstractAFPImageHandlerRawStream

AFPImageHandler implementation which handles raw stream images.

Constructor Summary
`AFPImageHandlerRawStream()`

Method Summary
`protected AFPDataObjectInfo` | `createDataObjectInfo()` Creates the data object information object
`int` | `getPriority()` Returns the priority for this image handler. A lower value means higher priority. This information is used to build the ordered/prioritized list of supported ImageFlavors. The built-in handlers use priorities between 100 and 999.
`java.lang.Class` | `getSupportedImageClass()` Returns the `Class` subclass supported by this instance.
`org.apache.xmlgraphics.image.loader.ImageFlavor[]` | `getSupportedImageFlavors()` Returns the `ImageFlavor`s supported by this instance
`boolean` | `isCompatible(RenderingContext targetContext, org.apache.xmlgraphics.image.loader.Image image)` Indicates whether the image handler is compatible with the indicated target represented by the rendering context object and with the image to be processed. The image is also passed as a parameter because a handler might not support every subtype of image that is presented. For example: in the case of `ImageXMLDOM`, the image might carry an SVG or some other XML format. One handler might only handle SVG but no other XML format.

Methods inherited from class org.apache.fop.render.afp.AbstractAFPImageHandlerRawStream
`generateDataObjectInfo, handleImage, setAdditionalParameters`

Methods inherited from class org.apache.fop.render.afp.AFPImageHandler
`createObjectAreaInfo, setResourceInformation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AFPImageHandlerRawStream

    public AFPImageHandlerRawStream()

Method Detail

### getPriority

    public int getPriority()

  Returns the priority for this image handler. A lower value means higher priority. This information is used to build the ordered/prioritized list of supported ImageFlavors. The built-in handlers use priorities between 100 and 999.

  Returns:
    a positive integer (>0) indicating the priority

### getSupportedImageClass

    public java.lang.Class getSupportedImageClass()

  Returns the `Class` subclass supported by this instance.

  Returns:
    the image Class type

### getSupportedImageFlavors

    public org.apache.xmlgraphics.image.loader.ImageFlavor[] getSupportedImageFlavors()

  Returns the `ImageFlavor`s supported by this instance

  Returns:
    the supported image flavors

### createDataObjectInfo

    protected AFPDataObjectInfo createDataObjectInfo()

  Creates the data object information object

  Specified by:
    `createDataObjectInfo` in class `AFPImageHandler`
  Returns:
    the data object information object

### isCompatible

    public boolean isCompatible(RenderingContext targetContext,
                                org.apache.xmlgraphics.image.loader.Image image)

  Indicates whether the image handler is compatible with the indicated target represented by the rendering context object and with the image to be processed. The image is also passed as a parameter because a handler might not support every subtype of image that is presented. For example: in the case of `ImageXMLDOM`, the image might carry an SVG or some other XML format. One handler might only handle SVG but no other XML format.

  Parameters:
    `targetContext` - the target rendering context
    `image` - the image to be processed (or null if only to check based on the rendering context)
  Returns:
    true if this handler is compatible with the target rendering context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.